Method: customers.reports.findInstalledAppProfiles

產生已安裝指定應用程式的受管理 Chrome 設定檔報告。

HTTP 要求

GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:findInstalledAppProfiles

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
customer

string

必填。客戶 ID 或「my_customer」,用於與提出要求的帳戶相關聯的客戶。

查詢參數

參數
orgUnitId

string

(選用步驟) 組織單位的 ID。

appId

string

必填。應用程式的專屬 ID。如果是 Chrome 應用程式和擴充功能,則為 32 個字元的 ID (例如 ehoadneljpdggcbbknedodolkkjodefl)。如果是 Android 應用程式,請輸入套件名稱 (例如 com.evernote)。

pageSize

integer

(選用步驟) 要傳回的結果數上限。最大值和預設值為 100。

pageToken

string

(選用步驟) 用於指定要傳回的要求頁面。

orderBy

string

(選用步驟) 用於排序結果的欄位。

支援的排序依據欄位:

  • 電子郵件
  • profileId
  • profilePermanentId
filter

string

(選用步驟) 查詢字串,用於篩選結果,以及 EBNF 語法中以 AND 分隔的欄位。

注意:這個篩選器不支援 OR 運算。

支援的篩選器欄位:

  • last_active_date
appType

enum (AppType)

應用程式類型 (選填)。如未提供,系統會根據應用程式 ID 的格式推斷應用程式類型。

要求主體

要求主體必須為空白。

回應主體

回應,內含已安裝查詢應用程式的設定檔清單。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "profiles": [
    {
      object (ProfileAppInstallInstance)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
欄位
profiles[]

object (ProfileAppInstallInstance)

已安裝應用程式的設定檔清單。依設定檔的電子郵件欄位字母遞增順序排序。

nextPageToken

string

用於指定要求下一頁的符記。

totalSize

integer

符合要求的設定檔總數。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/chrome.management.reports.readonly

ProfileAppInstallInstance

說明設定檔報告的 Chrome 設定檔資訊。

JSON 表示法
{
  "profileId": string,
  "profilePermanentId": string,
  "email": string,
  "profileOrgUnitId": string
}
欄位
profileId

string

僅供輸出。Chrome 用戶端設定檔 ID。

profilePermanentId

string

僅供輸出。設定檔永久 ID 是單一客戶內設定檔的專屬 ID。

email

string

僅供輸出。設定檔的電子郵件地址。

profileOrgUnitId

string

僅供輸出。設定檔的組織單位 ID。